Bug 1373305 - fflas-ffpack 2.2.2 regresses on aarch64 when building linbox
Summary: fflas-ffpack 2.2.2 regresses on aarch64 when building linbox
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fflas-ffpack
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2016-09-05 23:34 UTC by Peter Robinson
Modified: 2016-10-28 00:41 UTC (History)
2 users (show)

Fixed In Version: fflas-ffpack-2.2.2-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-28 00:41:42 UTC


Attachments (Terms of Use)
Proposed patch to guard x86-specific asm in fflas-ffpack (1.35 KB, patch)
2016-09-06 03:00 UTC, Jerry James
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Github linbox-team/fflas-ffpack/47 None None None 2016-09-06 02:22:39 UTC

Description Peter Robinson 2016-09-05 23:34:39 UTC
recent linbox releases have been failing to build [1] but actually when investigating the failure looked to be something around fflas-ffpack:

                 from test-rank.h:56,
                 from test-rank-Int.C:33:
/usr/include/fflas-ffpack/utils/bit_manipulation.h: In function 'uint64_t divide_128(uint64_t, uint64_t, uint64_t, uint64_t*)':
/usr/include/fflas-ffpack/utils/bit_manipulation.h:114:10: error: impossible constraint in 'asm'
         );
          ^
Makefile:2120: recipe for target 'test-rank-Int.o' failed

So checking the version that was last successful shows it was fflas-ffpack 2.2.1 that last worked. Doing a scratch build of the latest linbox against fflas-ffpack 2.2.1 shows it builds [2] against the older version.

[1] http://arm.koji.fedoraproject.org/koji/packageinfo?packageID=4266
[2] http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=3707507

Comment 1 Jerry James 2016-09-06 02:11:30 UTC
Yes, it looks like upstream inserted some x86-specific assembly into one of the header files.  I'll scout around and see if they did that anywhere else before reporting this upstream and fixing.

Comment 2 Jerry James 2016-09-06 03:00:43 UTC
Created attachment 1198059 [details]
Proposed patch to guard x86-specific asm in fflas-ffpack

Is anybody able to build fflas-ffpack with this patch, and then build linbox on top of that?  I know how to do an aarch64 scratch build of fflas-ffpack, but don't know how to do 2 dependent builds like this.  Thanks.

Comment 3 Peter Robinson 2016-09-12 12:01:34 UTC
> Is anybody able to build fflas-ffpack with this patch, and then build linbox
> on top of that?  I know how to do an aarch64 scratch build of fflas-ffpack,
> but don't know how to do 2 dependent builds like this.  Thanks.

aarch64 builds are now enabled in rawhide/f25 in koji.fedoraproject.org so it's probably easiest to push a build there, newRepo, bump linbox and rebuild.

Comment 4 Fedora Update System 2016-10-24 04:53:00 UTC
Macaulay2-1.6-32.fc25, Singular-3.1.7-9.fc25, eclib-20160720-3.fc25, fflas-ffpack-2.2.2-2.fc25, flint-2.5.2-13.fc25, giac-1.2.2-11.85.fc25, givaro-4.0.2-3.fc25, latte-integrale-1.7.3b-1.fc25, linbox-1.4.2-4.fc25, ntl-10.1.0-1.fc25, sagemath-7.3-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5ae0a3b688

Comment 5 Fedora Update System 2016-10-28 00:41:42 UTC
Macaulay2-1.6-32.fc25, Singular-3.1.7-9.fc25, eclib-20160720-3.fc25, fflas-ffpack-2.2.2-2.fc25, flint-2.5.2-13.fc25, giac-1.2.2-11.85.fc25, givaro-4.0.2-3.fc25, latte-integrale-1.7.3b-1.fc25, linbox-1.4.2-4.fc25, ntl-10.1.0-1.fc25, sagemath-7.3-6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.